kr.co.hanwha.hifive.data.model

## Class UpdateInfo

- java.lang.Object
- - kr.co.hanwha.hifive.data.model.UpdateInfo

-     public class UpdateInfo
      extends java.lang.Object

  Created by sanghoonkwon on 2018. 1. 24..

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.lang.String` | `created_at`
    `(package private) java.lang.String` | `description`
    `(package private) boolean` | `forced`
    `(package private) int` | `platform_type`
    `(package private) java.lang.String` | `released_at`
    `(package private) java.lang.String` | `string_bundle`
    `(package private) java.lang.String` | `update_notice`
    `(package private) java.lang.String` | `update_url`
    `(package private) java.lang.String` | `updated_at`
    `(package private) java.lang.String` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()`
    `int` | `getPlatform_type()`
    `java.lang.String` | `getString_bundle()`
    `java.lang.String` | `getUpdate_notice()`
    `java.lang.String` | `getUpdate_url()`
    `java.lang.String` | `getUpdated_at()`
    `java.lang.String` | `getVersion()`
    `boolean` | `isForced()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### platform_type

          int platform_type

    - #### version

          java.lang.String version

    - #### string_bundle

          java.lang.String string_bundle

    - #### forced

          boolean forced

    - #### description

          java.lang.String description

    - #### released_at

          java.lang.String released_at

    - #### created_at

          java.lang.String created_at

    - #### updated_at

          java.lang.String updated_at

    - #### update_url

          java.lang.String update_url

    - #### update_notice

          java.lang.String update_notice

  - ### Constructor Detail

    - #### UpdateInfo

          public UpdateInfo()

  - ### Method Detail

    - #### getVersion

          public java.lang.String getVersion()

    - #### isForced

          public boolean isForced()

    - #### getUpdate_url

          public java.lang.String getUpdate_url()

    - #### getUpdate_notice

          public java.lang.String getUpdate_notice()

    - #### getString_bundle

          public java.lang.String getString_bundle()

    - #### getPlatform_type

          public int getPlatform_type()

    - #### getDescription

          public java.lang.String getDescription()

    - #### getUpdated_at

          public java.lang.String getUpdated_at()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`